###### Import data #############################################################
### Created: 181025 Author: Alfonso Garmendia  algarsal at upvnet dot upv dot es

### V0.0.1: Import data csv. If there are changes into the xls file, creates
###         new csv files.
###
#%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
#### SETUP  ####
# dir("R")
# reinstall <- TRUE # TRUE in any change in packages
# source("R/00_Install-packages.R")

#### files ####
### csv
d.csv = "data/csv/polen-rosaceas-temperatura_UTF-8.csv"
d.legend.csv = "data/csv/polen-rosaceas-temperatura_leyenda_UTF-8.csv"

# ### xls
# xls.folder <- "data/xls_original"
# # dir(xls.folder, full.names = TRUE)
# # excel_sheets(xls)
# xls = "data/xls_original/Resultados temperatura polen rosáceas 20181213.xlsx"
#
# #### TRANSFORM DATA TO CSV (Only if changes in original data) ####
# ### check modification time
# fecha.modificacion.file <- paste0(xls.folder, "/", "fechamod")
# load(fecha.modificacion.file)
#
# if (file.info(xls)$mtime != fecha.modificacion) { # if changes modification time
#   #### Reload xls and export csvs ####
#   agxlsx2csv(xls = xls, sheet = "RESULTADOS", csv = d.csv)
#   agxlsx2csv(xls = xls, sheet = "LEYENDA",    csv = d.legend.csv)
#
#   #### Reload modification times ####
#   fecha.modificacion <- file.info(xls)$mtime
#   save(fecha.modificacion, file = fecha.modificacion.file)
# } # if changes modification time
#
### Read CSV files ####
d <- read.csv(d.csv)
d.legend <- read.csv(d.legend.csv, stringsAsFactors = FALSE, header = FALSE)


#### Tidy data ####
d$date <- as.Date(d$date)
d$rep <- as.factor(d$rep)

### temperature
d$temperature <- as.character(d$temperature)
d$temperature[d$temperature == "5"] <- "05"
d$temperature <- as.factor(paste0(d$temperature, "ºC"))  # names for temperatures

### block
d$block <- as.factor(paste0("block_", d$block))

### names
names(d)[9] <- "mean_long" # media_long

### legend
d.legend$V1 <- names(d)
names(d.legend) <- c("var", "description")

#### New variables ####
d$germ_perc <- 100 * d$n_germinated/d$n_grains

d1 <- data.frame(var = "germ_perc", description = "Germination percent.",
                 stringsAsFactors = FALSE)
d1 <- rbind(d1, d.legend[length(d.legend[[1]]), ])
d.legend <- rbind(d.legend[-length(d.legend[[1]]), ], d1)

d <- d[c(1:(length(d) - 2), length(d), length(d) - 1)]

#### clean ####
rm(d.csv, d.legend.csv, d1)
# rm(fecha.modificacion, fecha.modificacion.file, xls,
#    xls.folder)
