#### Function agbarplotuni plot Univariate Categorical (Counts) ############
### Created: 180305 Author: Alfonso Garmendia  algarsal at upvnet dot upv dot es

# V1.0.3 180614: update name and extract from "all_necessary_functions"
#%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
#### Roxigen ####
#' Barplot for Categorical variable
#'
#' Barplot for a categorical variable.
#'
#' @param data A data frame.
#' @param var_name Name of the categorical variable.
#' @param ggtheme Plot theme. By default "ggplot2::theme_bw()".
#'
#' @return
#' A barplot made with ggplot.
#'
#' @export
#'
#' @examples
#' agbarplotuni(df0 = iris, var_name = "Species")
#'
#' @author Alfonso Garmendia (Universitat Politècnica de València)
#'
#### Function ####
agbarplotuni <- function(df0, var_name, ggtheme = ggplot2::theme_bw()) {
  g <- ggplot(data = df0) +
    geom_bar(aes_string(x = var_name, fill = var_name)) +
    xlab(var_name)

  g <- g + ggtitle(paste(g$labels$y, " of ", g$labels$x))

  g + ggtheme
  # eval(parse(text = paste("g + ",ggtheme))) # returns plot
  # g
}

