% Generated by roxygen2: do not edit by hand
% Please edit documentation in
%   R/Function_agbarplot_Barplot_with_all_cool_things.R
\name{agbarplot}
\alias{agbarplot}
\title{Barplot figure with means, standard errors and posthoc letters.}
\usage{
agbarplot(df0, x, y, ..., xlab0 = NULL, ylab0 = NULL,
  letters0 = NULL, lettersheight = mean(df0[[y]])/4,
  ggtheme = ggplot2::theme_bw(), xangle = NULL, hjust = NULL)
}
\arguments{
\item{df0}{Data frame}

\item{x}{String or number pointing to the x variable inside "Data"
dataframe. Should be a factor.}

\item{y}{String or number pointing to the y variable inside "Data"
dataframe. Should be numeric.}

\item{...}{Names needed for next parameters.}

\item{xlab0}{Changes the x axis label in barplot.}

\item{ylab0}{Changes the y axis label in barplot.}

\item{letters0}{Post Hoc letters to include into the barplot.}

\item{lettersheight}{Changes the letters height in the barplot.
Default = mean(Data[[y]]) / 4}

\item{ggtheme}{Changes theme for barplot. Default = ggplot2::theme_bw().}

\item{xangle}{Changes the angle of text for x axis label in barplot.}

\item{hjust}{Changes the horizontal justification of text for x axis label
in barplot.}
}
\value{
A list with the barplot and the caption of the barplot:

- $barplot

- $caption
}
\description{
Barplot figure with means, standard errors and posthoc letters.
The letters must be provided from previous analyses, so it can be used for
anova, kruskal or other analyses.
}
\details{
Require ggplot2 active.
}
\examples{

agbarplot(iris, 5, 1, letters0 = c("a", "b", "c"))
agbarplot(iris, 5, 1, letters0 = c("a", "b")) # error
agbarplot(iris, 5, 1, letters0 = c("a", "b", "c"), ylab0 = "Sepal length (cm)")

}
\author{
Alfonso Garmendia (Universitat Politècnica de València)
}
