% Generated by roxygen2: do not edit by hand
% Please edit documentation in
%   R/Function_agbarplotinteraction_Barplot_for_interaction.R
\name{agbarplotinteraction}
\alias{agbarplotinteraction}
\title{Barplot for interaction.}
\usage{
agbarplotinteraction(df0, x, y, cov, ..., xlab0 = NULL, ylab0 = NULL,
  covlab = NULL, letters0 = NULL, letterscov = NULL,
  lettersheight0 = NULL, lettersheightcov = NULL, letters0size = 6,
  letterscovsize = 5, letters0col = "darkgrey",
  letterscovcol = "black", ggtheme = ggplot2::theme_bw(),
  width = NULL, dodge = NULL)
}
\arguments{
\item{df0}{A data frame}

\item{x}{String or number pointing to the x variable inside "df0"
dataframe. Should be a factor.}

\item{y}{String or number pointing to the y variable inside "df0"
dataframe. Should be numeric.}

\item{cov}{String or number pointing to the covariate inside "df0"
dataframe. Should be a factor.}

\item{...}{Names needed for next parameters.}

\item{xlab0}{Changes the x axis label in barplot.}

\item{ylab0}{Changes the y axis label in barplot.}

\item{covlab}{Changes the covariate label in barplot.}

\item{letters0}{Post Hoc letters to include into the barplot for main effect.
If null not added.}

\item{letterscov}{Post Hoc letters to include into the barplot for covariate
effect. It is the effect into each x level. If null not added.}

\item{lettersheight0}{Changes the letters0 height in the barplot.
Default = max(df2$Mean) + max(df2$Mean) / 5}

\item{lettersheightcov}{Changes the letterscov height in the barplot.
Default = mean(na.exclude(df0[[y]])) / 4}

\item{letters0size}{Changes the size of the letters0. Default = 6.}

\item{letterscovsize}{Changes the size of the letterscov. Default = 5.}

\item{letters0col}{Changes the colour of the letters0. Default = "darkgrey".}

\item{letterscovcol}{Changes the colour of the letterscov. Default = "black".}

\item{ggtheme}{Changes theme for barplot. Default = ggplot2::theme_bw().}

\item{width}{Bar width. By default, set to 90% of the resolution of the data.
See geom_bar() help.}

\item{dodge}{Dodging width, when different to the width of the individual
elements. This is useful when you want to align narrow geoms with wider
geoms. See position_dodge(width) help.}
}
\value{
A ggplot object with a barplot with covariate bars for each x variable.
}
\description{
Does the barplot for interaction with a covariate factor.
}
\details{
Require ggplot2.
}
\examples{
df0 <- iris
df0$cov <- rep(c("A", "B", "C"), 50)
agbarplotinteraction(df0, x = 5, y = 1, cov = 6, covlab = "FakeGroup",
                     letters0 = c("a", "b", "c"),
                     letterscov = letters[1:9], letters0col = "red")

}
\seealso{
\code{\link{agautoanalyses::agrequire}},
\code{\link{ggplot2::ggplot}}
}
\author{
Alfonso Garmendia (Universitat Politècnica de València)
}
