% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/Function_agcheckdf_checks-dataframe-not-empty.R
\name{agcheckdf}
\alias{agcheckdf}
\title{Check dataframe object}
\usage{
agcheckdf(df0 = df0, dfname = "Dataframe_name",
  funame = "Function_name", minvar = 1, minobs = 3)
}
\arguments{
\item{df0}{A data frame}

\item{dfname}{Name of the data frame object. For error messages.}

\item{funame}{Name of the function. For error messages.}

\item{minvar}{Minimum number of variables to be an acceptable data frame.}

\item{minobs}{Minimum number of observations to be an acceptable data frame.}
}
\value{
A non empty data frame in data.frame format or error messages.
}
\description{
Checks that the object is a data frame and is not empty and if not returns
error messages.
}
\examples{
iris <- agcheckdf(df0 = iris, dfname = "Dataframe_name", funame = "Function_name")

### error
df1 <- data.frame()
df1 <- agcheckdf(df0 = df1, dfname = "df1", funame = "Function_name")

### other error
df1 <- 5
df1 <- agcheckdf(df0 = df1, dfname = "df1", funame = "Function_name")

### other error
df1 <- "a"
df1 <- agcheckdf(df0 = df1, dfname = "df1", funame = "Function_name")

}
\seealso{
\code{\link{agcheckvar}} for checking variables.
}
\author{
Alfonso Garmendia (Universitat Politècnica de València)
}
