% Generated by roxygen2: do not edit by hand
% Please edit documentation in
%   R/Function_agcheckfactor_check-factor-in-dataframe-and-lengthoflevels.R
\name{agcheckfactor}
\alias{agcheckfactor}
\title{Check factor.}
\usage{
agcheckfactor(df0, v, maxlevels = NULL, ..., funame = "Function_name",
  vname = "Variable_name", dfname = "Dataframe_name")
}
\arguments{
\item{df0}{Data frame}

\item{v}{A number or string (or vector with numbers or names) referring
to dependent variable(s) or target variables.}

\item{maxlevels}{The maximum number of levels allowed for factors.}

\item{...}{Names needed for next parameters.}

\item{funame}{Name of the function. Needed to point error messages.
Default to "agcheckbar".}

\item{vname}{Name of the variable. Needed to point error messages.
Default to "v".}

\item{dfname}{Name of the data frame. Needed to point error messages.
Default to "df0".}
}
\value{
The data frame *df0* with the coerced factors.

Either error or warning if something is not right.
Errors may have the name of
the main function (if included in *funame*), the name of the variable
(if included in *vname*) and the name of the data frame (if included in
*dfname*).
}
\description{
Checks if the chosen variable(s) is a factor. If not, it is coerced to factor.
}
\details{
Checks if the length of the factor levels is less than 'maxlevels'.
}
\examples{

agcheckfactor(df0 = iris, v = 5)
A <- agcheckfactor(df0 = iris, v = c(1,5))
str(A)
agcheckfactor(df0 = iris, v = c(1,5), maxlevels = 9) # error
agcheckfactor(iris, 6) # error
agcheckfactor(iris, "Species")
str(agcheckfactor(iris, c("Species",  "Petal.Length", "Sepal.Width")))

}
\author{
Alfonso Garmendia (Universitat Politècnica de València)
}
