% Generated by roxygen2: do not edit by hand
% Please edit documentation in
%   R/Function_agcheckvar_check-vars-in-dataframe-convert2integer.R
\name{agcheckvar}
\alias{agcheckvar}
\title{Check variables names into other functions.}
\usage{
agcheckvar(df0, v, ..., funame = "agcheckvar", vname = "the variable",
  dfname = "the dataframe")
}
\arguments{
\item{df0}{Data frame}

\item{v}{A number or string (or vector with numbers or names) referring
to dependent variable(s) or target variables.}

\item{...}{Names needed for next parameters.}

\item{funame}{Name of the function. Needed to point error messages.
Default to "agcheckbar".}

\item{dfname}{Name of the data frame. Needed to point error messages.
Default to "df0".}

\item{vaname}{Name of the variable. Needed to point error messages.
Default to "v".}
}
\value{
A numeric vector with the reference(s) to variables in data frame *df0*.
Or error if something is not well referenced. Errors may have the name of
the main function if included in *funame*.
}
\description{
Checks if the chosen variable(s) pointed by name(s) or number(s) exist.
}
\details{
If by names, checks that names exist into the data frame and converts them
to numbers.

If by numbers, check that they are lower than the number of
variables in the data frame.
}
\examples{

agcheckvar(df0 = iris, v = c(1,5))
agcheckvar(iris, 6) # error
agcheckvar(iris, "species", funame = "example_function_name",
           vname = "example_variable",
           dfname = "example_dataframe") # error
agcheckvar(iris, c("Species",  "Petal.Length", "Sepal.Width"))

}
\author{
Alfonso Garmendia (Universitat Politècnica de València)
}
