% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/Function_agchisquare_chi-square-test-and-plot.R
\name{agchisquare}
\alias{agchisquare}
\title{Chi-square analysis and plot}
\usage{
agchisquare(df0, x, y, ..., xlab0 = NULL, ylab0 = NULL,
  StackBarPlot = TRUE, PercentBarPlot = TRUE, alpha0 = 0.05,
  digits = 2, ggtheme = ggplot2::theme_bw(),
  lettersheightstack = NULL, lettersheightpercent = NULL,
  letters0 = NULL, letters0col = "black", letters0size = 6,
  percsize = 4, perccolor = "black")
}
\arguments{
\item{df0}{A data frame.}

\item{x}{String or number pointing to the x variable inside "Data"
dataframe. Should be a factor.}

\item{y}{String or number pointing to the y variable inside "Data"
dataframe. Should be logic (TRUE/FALSE) variable.}

\item{...}{Names needed for next parameters.}

\item{xlab0}{Changes the x axis label in plots.}

\item{ylab0}{Changes the y axis label in plots.}

\item{StackBarPlot}{If plot in output (TRUE/FALSE).}

\item{PercentBarPlot}{If plot in output (TRUE/FALSE).}

\item{alpha0}{Significance level for groups separation. And for captions.}

\item{digits}{Digits for numbers in plots.}

\item{ggtheme}{Theme for ggplot.}

\item{lettersheightstack}{Letters height  in the stack bars plot.}

\item{lettersheightpercent}{Letters height in the percent bars plot.}

\item{letters0}{Letters from Post Hoc analyses. In the future they should be
automatically calculated with agchisqposthoc(), but still not working.}

\item{letters0col}{Colour for letters.}

\item{letters0size}{Size for letters.}

\item{percsize}{Size for percentages numbers in plots.}

\item{perccolor}{Colour for percentages numbers in plots.}
}
\value{
A list with plots, tables, captions and texts:

- $plots$stack, Stacked bars plot.

- $plots$percent, Percentage bars plot.

- $capplots$stack, Caption for plot.

- $capplots$percent, Caption for plot.

- $tables$expected, Table of expected values.

- $tables$pval, Table of p values.

- $captables$expected, Caption for the table of expected values.

- $captables$pval, Caption for the table of p values.

- $texts$bibliography, Text with relevant bibliography for citation.
}
\description{
Performs a chi-square analyses with the frequencies of two factors in
a data frame. Letters from posthoc analyses can be provided. They can be
calculated using fifer::chisq.post.hoc(), but it only gives the p.
The function agautoanalyses::agchisqposthoc() is an attempt to extract this
letters automatically.
}
\details{
Require ggplot2.
}
\examples{
df0 <- iris
df0$tf <- rep(c(TRUE, TRUE, FALSE))
agchisquare(df0, 5, 6)

}
\seealso{
ggplot, agrequire
}
\author{
Alfonso Garmendia (Universitat Politècnica de València)
}
