% Generated by roxygen2: do not edit by hand
% Please edit documentation in
%   R/Function_aginteractionaov_analyze-interaction-anova-posthoc-barplot.R
\name{aginteractionaov}
\alias{aginteractionaov}
\title{Anova for interaction.}
\usage{
aginteractionaov(df0, x, y, cov, ..., xlab0 = NULL, ylab0 = NULL,
  covlab = NULL, lettersheight0 = NULL, lettersheightcov = NULL,
  letters0size = 6, letterscovsize = 5, letters0col = "darkgrey",
  letterscovcol = "black", ggtheme = ggplot2::theme_bw(),
  alpha0 = 0.05)
}
\arguments{
\item{df0}{Data frame}

\item{x}{String or number pointing to the x variable inside "Data"
dataframe. Should be a factor.}

\item{y}{String or number pointing to the y variable inside "Data"
dataframe. Should be numeric.}

\item{cov}{String or number pointing to the covariate inside "Data"
dataframe. Should be a factor.}

\item{...}{Names needed for next parameters.}

\item{xlab0}{Changes the x axis label in barplot.}

\item{ylab0}{Changes the y axis label in barplot.}

\item{covlab}{Changes the covariate label in barplot.}

\item{lettersheight0}{Changes the letters0 height in the barplot.
Default = max(df2$Mean) + max(df2$Mean) / 5}

\item{lettersheightcov}{Changes the letterscov height in the barplot.
Default = mean(na.exclude(df0[[y]])) / 4}

\item{letters0size}{Changes the size of the letters0. Default = 6.}

\item{letterscovsize}{Changes the size of the letterscov. Default = 5.}

\item{letters0col}{Changes the colour of the letters0. Default = "darkgrey".}

\item{letterscovcol}{Changes the colour of the letterscov. Default = "black".}

\item{ggtheme}{Changes theme for barplot. Default = ggplot2::theme_bw().}

\item{alpha0}{Significance level for groups in post hoc analyses.
Default = 0.05.}
}
\value{
A list with:

- $plot <- A ggplot object with a barplot with covariate bars for each.
      x variable.

- $capplot <- Caption for the plot.

- $anova <- Table for ANOVA analysis.

- $hsd0 <- hsd distance.

- $letters0 <- letters for hsd between groups.

- $letters1 <- letters for hsd in each group.
}
\description{
Analisis of variance and barplot for the interaction of two factors in a
numerical variable.
}
\details{
Require ggplot2.
Uses agbarplotinteraction and agaovhsd.
}
\examples{
df0 <- iris
df0$cov <- rep(c("A", "B", "C"), 50)
aginteractionaov(df0, x = 5, y = 1, cov = 6, covlab = "FakeGroup",
                     letters0col = "red")

}
\seealso{
agbarplotinteraction, agaovhsd
}
\author{
Alfonso Garmendia (Universitat Politècnica de València)
}
