% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/Function_agviolin_violin_plot_and_caption.R
\name{agviolin}
\alias{agviolin}
\title{Violin plot}
\usage{
agviolin(x, y, ..., xlab0 = NULL, ylab0 = NULL, letters0 = NULL,
  lettersheight = max(y) + ((max(y) - min(y))/4),
  ggtheme = ggplot2::theme_bw(), xangle = NULL, hjust = NULL)
}
\arguments{
\item{x}{Factor variable.}

\item{y}{Numeric variable.}

\item{...}{names needed for next parameters.}

\item{xlab0}{Changes the x axis label in barplot.}

\item{ylab0}{Changes the y axis label in barplot.}

\item{letters0}{Post Hoc letters to include into the barplot.}

\item{lettersheight}{Changes the letters height in the barplot.
Default = max(Data[, y]) + ((max(Data[, y]) - min(Data[, y])) / 4)}

\item{ggtheme}{Changes theme for barplot. Default = ggplot2::theme_bw().}

\item{xangle}{Changes the angle of text for x axis label in barplot.}

\item{hjust}{Changes the horizontal justification of text for x axis label
in barplot.}
}
\value{
#' A list with the violin plot and its caption:

- $plots, the violin plot.

- $capplots, the caption for the violin plot.
}
\description{
Violin plot with boxplot inside and letters
}
\details{
Requires ggplot2.
}
\examples{
agviolin(x = iris[5], y = iris[1])

}
\seealso{
\code{\link{agautoanalyses::agrequire}},
\code{\link{ggplot2::ggplot}}
}
\author{
Alfonso Garmendia (Universitat Politècnica de València)
}
