% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/Function_agxlsx2csv_import-xlsx-export-csv.R
\name{agxlsx2csv}
\alias{agxlsx2csv}
\title{Converts xlsx to csv}
\usage{
agxlsx2csv(xls, csv = NULL, sheet = NULL, skip = 0, n_max = Inf,
  clean = TRUE)
}
\arguments{
\item{xls}{String pointing to the xlsx file.}

\item{csv}{String pointing to the direction for the csv file.
Default = the xls file with csv extension.}

\item{sheet}{String or integer pointing to the spreadsheet into xls.
Default = 1.}

\item{skip}{Minimum number of rows to skip before reading anything,
be it column names or data. Leading empty rows are automatically
skipped, so this is a lower bound. Ignored if range is given.}

\item{n_max}{Maximum number of data rows to read.
Trailing empty rows are automatically skipped,
so this is an upper bound on the number of rows in the returned tibble.}

\item{clean}{Logic. If true, cleans the data frame.}
}
\value{
Returns the dataframe with the data
}
\description{
Imports an xlsx file, cleans it from commas and accents and export it to a
csv file.
}
\note{

}
\examples{
agxlsx2csv(xls = existing-file.xlsx)

}
\references{

}
\seealso{
\code{\link[readxl]{read_excel}},
\code{\link[tools]{file_path_sans_ext}},
\code{\link[utils]{write.csv}}
}
\author{
Alfonso Garmendia (Universitat Politècnica de València)
}
