#### Calculate means and standar errors ####
d1 <- aggregate(dsp[[sp]][[vd]],
                by = list(facet = dsp[[sp]][[cv]],
                          indep = dsp[[sp]][[iv]]),
                FUN = function(x) c(mean = mean(x),
                                   sd = sd(x),
                                   #computation of the standard error of the mean
                                   se = sd(x)/sqrt(length(x)))
                )

d1 <- cbind(d1[1:2], d1[[3]])  # Fixes the aggregate into a data.frame

d2 <-  # Add number of grains (sample size) to data frame
  aggregate(dsp[[sp]][["n_grains"]],
                by = list(facet = dsp[[sp]][[cv]],
                          indep = dsp[[sp]][[iv]]),
                FUN = "sum")

d1 <- data.frame(d1, grains = d2$x)

rm(d2)

#### Kruskal-Wallis letters ####
kw.bl.letters <- list()
lldsp <-  # number of levels in dsp[[sp]][[cv]]
  length(levels(dsp[[sp]][[cv]]))
# bl <- 2
for (bl in 1:lldsp) {
  b <-  # subset of the block
    dsp[[sp]][dsp[[sp]][[cv]] == levels(dsp[[sp]][[cv]])[bl], ]

  kw <- agricolae::kruskal(b[[vd]], b[[iv]], p.adj = "holm")
  groups <- kw$groups[order(row.names(kw$groups)), ]
  kw.bl.letters[[bl]] <-
    data.frame(facet = levels(dsp[[sp]][[cv]])[bl],
               indep = row.names(groups),
               kw = as.character(groups$groups), stringsAsFactors = FALSE)
}

kw <- kw.bl.letters[[1]]
for (i in 2:length(levels(dsp[[sp]][[cv]]))) kw <- rbind(kw, kw.bl.letters[[i]])

d1$kw <- kw[order(kw$indep), ]$kw

rm(kw.bl.letters, bl, b, groups, kw)

#### plot facet ####
# fn <- fn + 1
# FC <- paste0(eval(efn), " Efecto de ", xl, " y ", cl,
#             " sobre ", yl,
#             " en *", sp, "*. Las letras representan la significación en el test ",
#             "de Kruskal-Wallis. Los números en rojo indican el número de ",
#             "granos de polen evaluados. ",
#             "Las barras de error expresan el error estándar."
#              )
maximo <- max(d1$mean + d1$se)
# let.heigth1 <- maximo + maximo / 5 # letters heigth in the plot
# let.heigth2 <- maximo + maximo / 5  + maximo / 5

out[[sp]] <-
  ggplot(data = d1,
         aes(x = indep,
             y = mean,
             fill = indep)) +
  ggtitle(sp) +
  geom_bar(stat = "identity") +
  geom_errorbar(colour = "black",
                aes(ymin = mean - se, ymax = mean + se, width = .1)) +
  facet_grid(facet ~ .) +
  scale_fill_discrete(guide = FALSE) +
  labs(x = xl, y = yl) +
  ylim(c(0, 120)) +
  geom_text(aes(y = 110, label = kw), size = 5) +
  # geom_text(aes(y = let.heigth1, label = grains), colour = "red") +
  # , colour = letters0col, size = letters0size)
  theme_bw(base_size = 12)
# print(pl[[i]])




